<?php
session_start();
include_once('../../config/#Config.php');
if(!$_SESSION['UserName']){
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
} else {
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}	
	// check tồn tại hay không
	$get_check = mysqli_query($conn, "Select * From config_server WHERE ServerID = '".$_REQUEST['sv']."'");
	if(mysqli_num_rows($get_check)){
	$get_check = mysqli_fetch_array($get_check, MYSQLI_ASSOC);
	$TienThat = 0;
	if($_REQUEST['TienThat']){
		$TienThat = $_REQUEST['TienThat'];
	}
	$calc = $_REQUEST['calc'];
	if($calc == 1) $toantu = '+';
	elseif($calc == 2) $toantu = '-';
	if($TienThat > 0){
    mysqli_query($conn, "UPDATE account_web_money Set TienThat = TienThat $toantu $TienThat WHERE ServerID = '".$_POST['sv']."'");		
	}
	
   if($TienThat > 0){
					mysqli_query($conn, "INSERT INTO logs_admin (UserName,Type,Messager,Timer) VALUES ('" . $_SESSION['UserName'] . "', '2', N'$toantu ".number_format($TienThat)." Tiền Thật Cho Máy Chủ ".$_REQUEST['sv']."', '".strtotime(date('d-m-Y H:i:s'))."')");				            
   }
	$return['type'] = 0;
		$return['text'] = 'Cộng Xu Thành Công.';
		echo json_encode($return);
		exit();
		} else {
		$return['type'] = 1;
		$return['text'] = 'Máy chủ không tồn tại hoặc Chưa chọn máy chủ.';
		echo json_encode($return);
		exit();
	}
}

?>